Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorlgoubet2019-09-19 13:09:59 +0000
committerLaurent Goubet2019-11-05 14:07:17 +0000
commit80863539cb8f61fd75f6f973e5d6cb27bb71d2df (patch)
tree481ab42cf4a012268a9e513d0b0ada72d3a04e92
parent51941ba55225bf9a877ccb830208d8c01fbd44e6 (diff)
downloadorg.eclipse.emf.compare-80863539cb8f61fd75f6f973e5d6cb27bb71d2df.tar.gz
org.eclipse.emf.compare-80863539cb8f61fd75f6f973e5d6cb27bb71d2df.tar.xz
org.eclipse.emf.compare-80863539cb8f61fd75f6f973e5d6cb27bb71d2df.zip
Switch EMF Compare to Guava 27
-rw-r--r--org.eclipse.emf.compare-parent/targetPlatforms/2019-06-sdk.target8
-rw-r--r--org.eclipse.emf.compare-parent/targetPlatforms/extras/2019-06-extras-sdk.target8
-rw-r--r--org.eclipse.emf.compare-parent/targetPlatforms/fragments/orbit.tpd4
-rw-r--r--plugins/org.eclipse.emf.compare.diagram.ecoretools.tests/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.diagram.edit/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.diagram.ide.ecoretools.tests/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.diagram.ide.ui.sirius/META-INF/MANIFEST.MF8
-rw-r--r--plugins/org.eclipse.emf.compare.diagram.ide.ui/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.diagram.sirius/META-INF/MANIFEST.MF8
-rw-r--r--plugins/org.eclipse.emf.compare.diagram/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.edit/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.emf.compare.egit/META-INF/MANIFEST.MF2
-rw-r--r--plugins/org.eclipse.emf.compare.ide.tests/META-INF/MANIFEST.MF2
-rw-r--r--plugins/org.eclipse.emf.compare.ide.ui.tests.framework/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.ide.ui.tests.git.framework/META-INF/MANIFEST.MF2
-rw-r--r--plugins/org.eclipse.emf.compare.ide.ui.tests/META-INF/MANIFEST.MF8
-rw-r--r--plugins/org.eclipse.emf.compare.ide.ui/META-INF/MANIFEST.MF14
-rw-r--r--plugins/org.eclipse.emf.compare.ide.ui/src/org/eclipse/emf/compare/ide/ui/internal/logical/resolver/ResourceComputationScheduler.java6
-rw-r--r--plugins/org.eclipse.emf.compare.ide/META-INF/MANIFEST.MF12
-rw-r--r--plugins/org.eclipse.emf.compare.rcp.tests/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.rcp.ui.tests/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.emf.compare.rcp.ui/META-INF/MANIFEST.MF10
-rw-r--r--plugins/org.eclipse.emf.compare.rcp/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.tests/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.emf.compare.uml2.edit/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.uml2.ide.tests/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.uml2.ide.ui.tests/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.emf.compare.uml2.ide/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.uml2.rcp.ui.tests/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.emf.compare.uml2.rcp.ui/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.uml2.rcp/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.uml2.tests/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.compare.uml2/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.emf.compare/META-INF/MANIFEST.MF8
34 files changed, 96 insertions, 96 deletions
diff --git a/org.eclipse.emf.compare-parent/targetPlatforms/2019-06-sdk.target b/org.eclipse.emf.compare-parent/targetPlatforms/2019-06-sdk.target
index ed12ad0f1..2c245085f 100644
--- a/org.eclipse.emf.compare-parent/targetPlatforms/2019-06-sdk.target
+++ b/org.eclipse.emf.compare-parent/targetPlatforms/2019-06-sdk.target
@@ -1,14 +1,14 @@
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?pde?>
-<!-- generated with https://github.com/mbarbero/fr.obeo.releng.targetplatform -->
-<target name="EMF Compare based on 2019-06 SDK" sequenceNumber="1568023224">
+<!-- generated with https://github.com/eclipse-cbi/targetplatform-dsl -->
+<target name="EMF Compare based on 2019-06 SDK" sequenceNumber="1568900039">
<locations>
<location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
<unit id="org.eclipse.license.feature.group" version="1.0.1.v20140414-1359"/>
<repository location="http://download.eclipse.org/cbi/updates/license"/>
</location>
<location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
- <unit id="com.google.guava" version="21.0.0.v20170206-1425"/>
+ <unit id="com.google.guava" version="27.1.0.v20190517-1946"/>
<unit id="com.google.gson" version="2.8.2.v20180104-1110"/>
<unit id="org.junit" version="4.12.0.v201504281640"/>
<unit id="org.apache.log4j" version="1.2.15.v201012070815"/>
@@ -17,7 +17,7 @@
<unit id="org.kohsuke.args4j" version="2.33.0.v20160323-2218"/>
<unit id="org.mockito" version="1.9.5.v201605172210"/>
<unit id="org.hamcrest" version="1.1.0.v20090501071000"/>
- <repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20190602212107/repository/"/>
+ <repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20190827152740/repository/"/>
</location>
<location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
<unit id="org.eclipse.egit.feature.group" version="0.0.0"/>
diff --git a/org.eclipse.emf.compare-parent/targetPlatforms/extras/2019-06-extras-sdk.target b/org.eclipse.emf.compare-parent/targetPlatforms/extras/2019-06-extras-sdk.target
index d127a455f..24e74c7a9 100644
--- a/org.eclipse.emf.compare-parent/targetPlatforms/extras/2019-06-extras-sdk.target
+++ b/org.eclipse.emf.compare-parent/targetPlatforms/extras/2019-06-extras-sdk.target
@@ -1,14 +1,14 @@
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?pde?>
-<!-- generated with https://github.com/mbarbero/fr.obeo.releng.targetplatform -->
-<target name="EMF Compare with extras based on 2019-06" sequenceNumber="1568030866">
+<!-- generated with https://github.com/eclipse-cbi/targetplatform-dsl -->
+<target name="EMF Compare with extras based on 2019-06" sequenceNumber="1568895959">
<locations>
<location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
<unit id="org.eclipse.license.feature.group" version="1.0.1.v20140414-1359"/>
<repository location="http://download.eclipse.org/cbi/updates/license"/>
</location>
<location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
- <unit id="com.google.guava" version="21.0.0.v20170206-1425"/>
+ <unit id="com.google.guava" version="27.1.0.v20190517-1946"/>
<unit id="com.google.gson" version="2.8.2.v20180104-1110"/>
<unit id="org.junit" version="4.12.0.v201504281640"/>
<unit id="org.apache.log4j" version="1.2.15.v201012070815"/>
@@ -17,7 +17,7 @@
<unit id="org.kohsuke.args4j" version="2.33.0.v20160323-2218"/>
<unit id="org.mockito" version="1.9.5.v201605172210"/>
<unit id="org.hamcrest" version="1.1.0.v20090501071000"/>
- <repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20190602212107/repository/"/>
+ <repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20190827152740/repository/"/>
</location>
<location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
<unit id="org.eclipse.egit.feature.group" version="0.0.0"/>
diff --git a/org.eclipse.emf.compare-parent/targetPlatforms/fragments/orbit.tpd b/org.eclipse.emf.compare-parent/targetPlatforms/fragments/orbit.tpd
index 62b53b72e..4e059ab77 100644
--- a/org.eclipse.emf.compare-parent/targetPlatforms/fragments/orbit.tpd
+++ b/org.eclipse.emf.compare-parent/targetPlatforms/fragments/orbit.tpd
@@ -2,8 +2,8 @@ target "Orbit"
with source, requirements
-location "http://download.eclipse.org/tools/orbit/downloads/drops/R20190602212107/repository/" {
- com.google.guava [15.0.0,22.0.0)
+location "http://download.eclipse.org/tools/orbit/downloads/drops/R20190827152740/repository/" {
+ com.google.guava [27.0.0,28.0.0)
com.google.gson [2.2.4,3.0.0)
org.junit [4,5)
org.apache.log4j [1.2.0,1.3.0)
diff --git a/plugins/org.eclipse.emf.compare.diagram.ecoretools.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.diagram.ecoretools.tests/META-INF/MANIFEST.MF
index 47ee53230..f2b423ee6 100644
--- a/plugins/org.eclipse.emf.compare.diagram.ecoretools.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.diagram.ecoretools.tests/META-INF/MANIFEST.MF
@@ -13,8 +13,8 @@ Require-Bundle: org.eclipse.emf.ecore;bundle-version="2.5.0",
org.eclipse.gmf.runtime.emf.core;bundle-version="1.2.2",
org.eclipse.gmf.runtime.notation;bundle-version="1.2.0",
org.eclipse.ui;bundle-version="3.5.0"
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Vendor: %providerName
Bundle-Localization: plugin
diff --git a/plugins/org.eclipse.emf.compare.diagram.edit/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.diagram.edit/META-INF/MANIFEST.MF
index 0e34966be..047d0674f 100644
--- a/plugins/org.eclipse.emf.compare.diagram.edit/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.diagram.edit/META-INF/MANIFEST.MF
@@ -18,8 +18,8 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.gmf.runtime.notation;bundle-version="1.2.0",
org.eclipse.gmf.runtime.notation.edit;bundle-version="1.4.0"
Bundle-ActivationPolicy: lazy
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Export-Package: org.eclipse.emf.compare.diagram.internal,
org.eclipse.emf.compare.diagram.internal.extensions.provider;x-internal:=true,
org.eclipse.emf.compare.diagram.internal.extensions.provider.spec,
diff --git a/plugins/org.eclipse.emf.compare.diagram.ide.ecoretools.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.diagram.ide.ecoretools.tests/META-INF/MANIFEST.MF
index e70cd5e78..e6956bb25 100644
--- a/plugins/org.eclipse.emf.compare.diagram.ide.ecoretools.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.diagram.ide.ecoretools.tests/META-INF/MANIFEST.MF
@@ -16,7 +16,7 @@ Require-Bundle: org.eclipse.emf.ecore;bundle-version="2.6.0",
org.eclipse.emf.compare.ide;bundle-version="3.0.0",
org.eclipse.emf.compare.diagram.ide.ui;bundle-version="3.0.0",
org.eclipse.emf.compare.rcp;bundle-version="2.1.0"
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Bundle-Vendor: %providerName
Bundle-Localization: plugin
diff --git a/plugins/org.eclipse.emf.compare.diagram.ide.ui.sirius/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.diagram.ide.ui.sirius/META-INF/MANIFEST.MF
index e60c42fa4..efb19b47c 100644
--- a/plugins/org.eclipse.emf.compare.diagram.ide.ui.sirius/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.diagram.ide.ui.sirius/META-INF/MANIFEST.MF
@@ -21,10 +21,10 @@ Require-Bundle: org.eclipse.compare,
org.eclipse.sirius.diagram;bundle-version="3.0.0",
org.eclipse.gmf.runtime.notation;bundle-version="1.8.0",
org.eclipse.gef
-Import-Package: com.google.common.annotations;version="[15.0.0,22.0.0)",
- com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.cache;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.annotations;version="[27.0.0,28.0.0)",
+ com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.cache;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Export-Package: org.eclipse.emf.compare.diagram.ide.ui.sirius.internal;x-friends:="org.eclipse.emf.compare.diagram.sirius.tests"
Bundle-Activator: org.eclipse.emf.compare.diagram.ide.ui.sirius.CompareDiagramIDEUISiriusPlugin
diff --git a/plugins/org.eclipse.emf.compare.diagram.ide.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.diagram.ide.ui/META-INF/MANIFEST.MF
index a79cceeda..4727e9015 100644
--- a/plugins/org.eclipse.emf.compare.diagram.ide.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.diagram.ide.ui/META-INF/MANIFEST.MF
@@ -25,5 +25,5 @@ Export-Package: org.eclipse.emf.compare.diagram.ide.ui.internal;x-internal:=true
org.eclipse.emf.compare.diagram.ide.ui.internal.preferences;x-internal:=true,
org.eclipse.emf.compare.diagram.ide.ui.internal.structuremergeviewer.filters
Bundle-Vendor: %providerName
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
diff --git a/plugins/org.eclipse.emf.compare.diagram.sirius/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.diagram.sirius/META-INF/MANIFEST.MF
index a28abfda3..ff0709b40 100644
--- a/plugins/org.eclipse.emf.compare.diagram.sirius/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.diagram.sirius/META-INF/MANIFEST.MF
@@ -7,10 +7,10 @@ Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Localization: plugin
-Import-Package: com.google.common.annotations;version="[15.0.0,22.0.0)",
- com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.cache;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.annotations;version="[27.0.0,28.0.0)",
+ com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.cache;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.compare;bundle-version="3.2.0",
org.eclipse.emf.compare.diagram;bundle-version="2.3.0",
diff --git a/plugins/org.eclipse.emf.compare.diagram/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.diagram/META-INF/MANIFEST.MF
index 6881b8ed7..48d9b1a4a 100644
--- a/plugins/org.eclipse.emf.compare.diagram/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.diagram/META-INF/MANIFEST.MF
@@ -12,8 +12,8 @@ Require-Bundle: org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.gmf.runtime.diagram.ui,
org.eclipse.emf.compare;bundle-version="2.0.0",
org.eclipse.emf.compare.ide;bundle-version="3.0.0"
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Bundle-ActivationPolicy: lazy
Bundle-Activator: org.eclipse.emf.compare.diagram.internal.CompareDiagramPlugin
Export-Package: org.eclipse.emf.compare.diagram.internal;
diff --git a/plugins/org.eclipse.emf.compare.edit/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.edit/META-INF/MANIFEST.MF
index f7cf6faf4..19829aaf7 100644
--- a/plugins/org.eclipse.emf.compare.edit/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.edit/META-INF/MANIFEST.MF
@@ -27,6 +27,6 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.transaction;bundle-version="1.3.0",
org.eclipse.emf.ecore.edit;visibility:=reexport
Bundle-ActivationPolicy: lazy
-Import-Package: com.google.common.annotations;version="[15.0.0,22.0.0)",
- com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.annotations;version="[27.0.0,28.0.0)",
+ com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
diff --git a/plugins/org.eclipse.emf.compare.egit/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.egit/META-INF/MANIFEST.MF
index bd5cd4f0a..0bbdf3da3 100644
--- a/plugins/org.eclipse.emf.compare.egit/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.egit/META-INF/MANIFEST.MF
@@ -12,7 +12,7 @@ Require-Bundle: org.eclipse.core.resources,
org.eclipse.emf.compare.rcp,
org.eclipse.emf.compare,
org.eclipse.egit.ui;bundle-version="4.2.0"
-Import-Package: com.google.common.collect;version="[15.0.0,22.0.0)",
+Import-Package: com.google.common.collect;version="[27.0.0,28.0.0)",
org.apache.log4j;version="[1.2.15,2.0.0)"
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.emf.compare.ide.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.ide.tests/META-INF/MANIFEST.MF
index 83fd291d9..feb5011ec 100644
--- a/plugins/org.eclipse.emf.compare.ide.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.ide.tests/META-INF/MANIFEST.MF
@@ -17,4 +17,4 @@ Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Vendor: %providerName
Bundle-Localization: plugin
-Import-Package: com.google.common.io;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.io;version="[27.0.0,28.0.0)"
diff --git a/plugins/org.eclipse.emf.compare.ide.ui.tests.framework/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.ide.ui.tests.framework/META-INF/MANIFEST.MF
index 159d35484..20f1b27d5 100644
--- a/plugins/org.eclipse.emf.compare.ide.ui.tests.framework/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.ide.ui.tests.framework/META-INF/MANIFEST.MF
@@ -20,5 +20,5 @@ Bundle-Vendor: %providerName
Export-Package: org.eclipse.emf.compare.ide.ui.tests.framework,
org.eclipse.emf.compare.ide.ui.tests.framework.annotations,
org.eclipse.emf.compare.ide.ui.tests.framework.internal
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
diff --git a/plugins/org.eclipse.emf.compare.ide.ui.tests.git.framework/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.ide.ui.tests.git.framework/META-INF/MANIFEST.MF
index c2042d9ee..f45eb14f7 100644
--- a/plugins/org.eclipse.emf.compare.ide.ui.tests.git.framework/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.ide.ui.tests.git.framework/META-INF/MANIFEST.MF
@@ -29,4 +29,4 @@ Export-Package: org.eclipse.emf.compare.ide.ui.tests.git.framework,
org.eclipse.emf.compare.ide.ui.tests.git.framework.annotations,
org.eclipse.emf.compare.ide.ui.tests.git.framework.internal,
org.eclipse.emf.compare.ide.ui.tests.git.framework.internal.statements
-Import-Package: com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.collect;version="[27.0.0,28.0.0)"
diff --git a/plugins/org.eclipse.emf.compare.ide.ui.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.ide.ui.tests/META-INF/MANIFEST.MF
index 5c2704523..421b161e8 100644
--- a/plugins/org.eclipse.emf.compare.ide.ui.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.ide.ui.tests/META-INF/MANIFEST.MF
@@ -27,10 +27,10 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.core.filesystem,
org.eclipse.emf.compare.ide.ui.tests.framework;bundle-version="[1.0.0,2.0.0)"
Bundle-Activator: org.eclipse.emf.compare.ide.ui.tests.Activator
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
- com.google.common.eventbus;version="[15.0.0,22.0.0)",
- com.google.common.util.concurrent;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
+ com.google.common.eventbus;version="[27.0.0,28.0.0)",
+ com.google.common.util.concurrent;version="[27.0.0,28.0.0)"
Export-Package: org.eclipse.emf.compare.ide.ui.tests,
org.eclipse.emf.compare.ide.ui.tests.structuremergeviewer.actions,
org.eclipse.emf.compare.ide.ui.tests.workspace
diff --git a/plugins/org.eclipse.emf.compare.ide.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.ide.ui/META-INF/MANIFEST.MF
index 7aa16ac77..f39334b0c 100644
--- a/plugins/org.eclipse.emf.compare.ide.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.ide.ui/META-INF/MANIFEST.MF
@@ -56,11 +56,11 @@ Export-Package: org.eclipse.emf.compare.ide.ui.dependency,
org.eclipse.emf.compare.ide.ui.logical,
org.eclipse.emf.compare.ide.ui.mergeresolution,
org.eclipse.emf.compare.ide.ui.source
-Import-Package: com.google.common.annotations;version="[15.0.0,22.0.0)",
- com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.cache;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
- com.google.common.eventbus;version="[15.0.0,22.0.0)",
- com.google.common.io;version="[15.0.0,22.0.0)",
- com.google.common.util.concurrent;version="[15.0.0,22.0.0)",
+Import-Package: com.google.common.annotations;version="[27.0.0,28.0.0)",
+ com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.cache;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
+ com.google.common.eventbus;version="[27.0.0,28.0.0)",
+ com.google.common.io;version="[27.0.0,28.0.0)",
+ com.google.common.util.concurrent;version="[27.0.0,28.0.0)",
org.apache.log4j;version="[1.2.15,2.0.0)"
diff --git a/plugins/org.eclipse.emf.compare.ide.ui/src/org/eclipse/emf/compare/ide/ui/internal/logical/resolver/ResourceComputationScheduler.java b/plugins/org.eclipse.emf.compare.ide.ui/src/org/eclipse/emf/compare/ide/ui/internal/logical/resolver/ResourceComputationScheduler.java
index 14334fc89..f3cd43ee2 100644
--- a/plugins/org.eclipse.emf.compare.ide.ui/src/org/eclipse/emf/compare/ide/ui/internal/logical/resolver/ResourceComputationScheduler.java
+++ b/plugins/org.eclipse.emf.compare.ide.ui/src/org/eclipse/emf/compare/ide/ui/internal/logical/resolver/ResourceComputationScheduler.java
@@ -231,7 +231,7 @@ public class ResourceComputationScheduler<T> {
}
EMFCompareIDEUIPlugin.getDefault().log(t);
}
- });
+ }, MoreExecutors.directExecutor());
}
}
}
@@ -408,7 +408,7 @@ public class ResourceComputationScheduler<T> {
});
// even if post-treatment is null, we need this callback for proper finalization
Futures.addCallback(future, new ComputingFutureCallback<T>(this, computation.getKey(),
- computation.getPostTreatment()));
+ computation.getPostTreatment()), MoreExecutors.directExecutor());
return true;
}
return false;
@@ -452,7 +452,7 @@ public class ResourceComputationScheduler<T> {
public void scheduleUnload(Runnable runnable, FutureCallback<Object> callback) {
ListenableFuture<?> future = unloadingPool.submit(runnable);
if (callback != null) {
- Futures.addCallback(future, callback);
+ Futures.addCallback(future, callback, MoreExecutors.directExecutor());
}
}
diff --git a/plugins/org.eclipse.emf.compare.ide/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.ide/META-INF/MANIFEST.MF
index cc59bfd6e..f78a2cb3d 100644
--- a/plugins/org.eclipse.emf.compare.ide/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.ide/META-INF/MANIFEST.MF
@@ -14,12 +14,12 @@ Require-Bundle: org.eclipse.core.runtime,
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Localization: plugin
-Import-Package: com.google.common.annotations;version="[15.0.0,22.0.0)",
- com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.cache;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
- com.google.common.io;version="[15.0.0,22.0.0)",
- com.google.common.util.concurrent;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.annotations;version="[27.0.0,28.0.0)",
+ com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.cache;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
+ com.google.common.io;version="[27.0.0,28.0.0)",
+ com.google.common.util.concurrent;version="[27.0.0,28.0.0)"
Export-Package: org.eclipse.emf.compare.ide,
org.eclipse.emf.compare.ide.hook,
org.eclipse.emf.compare.ide.internal.hook;x-friends:="org.eclipse.emf.compare.ide.ui",
diff --git a/plugins/org.eclipse.emf.compare.rcp.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.rcp.tests/META-INF/MANIFEST.MF
index 4c73a8f1a..583b7fa01 100644
--- a/plugins/org.eclipse.emf.compare.rcp.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.rcp.tests/META-INF/MANIFEST.MF
@@ -9,7 +9,7 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.compare;bundle-version="3.3.0",
org.eclipse.emf.compare.rcp;bundle-version="2.4.0",
org.eclipse.emf.compare.tests;bundle-version="3.3.0"
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Vendor: %providerName
diff --git a/plugins/org.eclipse.emf.compare.rcp.ui.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.rcp.ui.tests/META-INF/MANIFEST.MF
index 0acc0a92d..7b0fb4879 100644
--- a/plugins/org.eclipse.emf.compare.rcp.ui.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.rcp.ui.tests/META-INF/MANIFEST.MF
@@ -18,9 +18,9 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.ui.workbench
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Vendor: %providerName
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
- com.google.common.eventbus;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
+ com.google.common.eventbus;version="[27.0.0,28.0.0)"
Export-Package: org.eclipse.emf.compare.rcp.ui.tests,
org.eclipse.emf.compare.rcp.ui.tests.mergeviewer.item,
org.eclipse.emf.compare.rcp.ui.tests.structuremergeviewer.groups.provider,
diff --git a/plugins/org.eclipse.emf.compare.rcp.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.rcp.ui/META-INF/MANIFEST.MF
index 373faa982..aa955c2c8 100644
--- a/plugins/org.eclipse.emf.compare.rcp.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.rcp.ui/META-INF/MANIFEST.MF
@@ -56,9 +56,9 @@ Export-Package: org.eclipse.emf.compare.rcp.ui,
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters,
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups,
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.extender
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.cache;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
- com.google.common.eventbus;version="[15.0.0,22.0.0)",
- com.google.common.io;version="[15.0.0,22.0.0)",
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.cache;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
+ com.google.common.eventbus;version="[27.0.0,28.0.0)",
+ com.google.common.io;version="[27.0.0,28.0.0)",
org.apache.log4j;version="[1.2.15,2.0.0)"
diff --git a/plugins/org.eclipse.emf.compare.rcp/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.rcp/META-INF/MANIFEST.MF
index 6dedc7766..5f8e1c5cd 100644
--- a/plugins/org.eclipse.emf.compare.rcp/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.rcp/META-INF/MANIFEST.MF
@@ -25,6 +25,6 @@ Export-Package: org.eclipse.emf.compare.rcp,
org.eclipse.emf.compare.rcp.internal.preferences;x-friends:="org.eclipse.emf.compare.rcp.ui,org.eclipse.emf.compare.ide.ui",
org.eclipse.emf.compare.rcp.internal.tracer;x-friends:="org.eclipse.emf.compare.rcp.ui,org.eclipse.emf.compare.ide.ui",
org.eclipse.emf.compare.rcp.policy
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
org.apache.log4j;version="[1.2.15,2.0.0)"
diff --git a/plugins/org.eclipse.emf.compare.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.tests/META-INF/MANIFEST.MF
index cb70d9fb6..7f8cbfcd3 100644
--- a/plugins/org.eclipse.emf.compare.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.tests/META-INF/MANIFEST.MF
@@ -55,7 +55,7 @@ Export-Package: org.eclipse.emf.compare.tests,
org.eclipse.emf.compare.tests.scope,
org.eclipse.emf.compare.tests.suite,
org.eclipse.emf.compare.tests.unit
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.cache;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.cache;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.emf.compare.uml2.edit/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.uml2.edit/META-INF/MANIFEST.MF
index 38de9f88c..5ba04a18e 100644
--- a/plugins/org.eclipse.emf.compare.uml2.edit/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.uml2.edit/META-INF/MANIFEST.MF
@@ -19,8 +19,8 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.uml2.types;visibility:=reexport,
org.eclipse.emf.compare.edit;bundle-version="4.2.0";visibility:=reexport
Bundle-ActivationPolicy: lazy
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
org.eclipse.emf.compare.provider
Export-Package: org.eclipse.emf.compare.uml2.internal,
org.eclipse.emf.compare.uml2.internal.provider;x-internal:=true,
diff --git a/plugins/org.eclipse.emf.compare.uml2.ide.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.uml2.ide.tests/META-INF/MANIFEST.MF
index c2be1d019..1e4e7f2b8 100644
--- a/plugins/org.eclipse.emf.compare.uml2.ide.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.uml2.ide.tests/META-INF/MANIFEST.MF
@@ -17,6 +17,6 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.compare.uml2.rcp
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-ActivationPolicy: lazy
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Export-Package: org.eclipse.emf.compare.uml2.ide.tests.util
diff --git a/plugins/org.eclipse.emf.compare.uml2.ide.ui.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.uml2.ide.ui.tests/META-INF/MANIFEST.MF
index 42c616ad5..c0e3cf9c4 100644
--- a/plugins/org.eclipse.emf.compare.uml2.ide.ui.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.uml2.ide.ui.tests/META-INF/MANIFEST.MF
@@ -24,6 +24,6 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.compare.ide.ui.tests;bundle-version="4.0.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-ActivationPolicy: lazy
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
- com.google.common.eventbus;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
+ com.google.common.eventbus;version="[27.0.0,28.0.0)"
diff --git a/plugins/org.eclipse.emf.compare.uml2.ide/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.uml2.ide/META-INF/MANIFEST.MF
index 38436a13e..12e30e78d 100644
--- a/plugins/org.eclipse.emf.compare.uml2.ide/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.uml2.ide/META-INF/MANIFEST.MF
@@ -14,5 +14,5 @@ Require-Bundle: org.eclipse.ui,
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-ActivationPolicy: lazy
Bundle-Localization: plugin
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
diff --git a/plugins/org.eclipse.emf.compare.uml2.rcp.ui.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.uml2.rcp.ui.tests/META-INF/MANIFEST.MF
index 92d6f0a04..16e21ff40 100644
--- a/plugins/org.eclipse.emf.compare.uml2.rcp.ui.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.uml2.rcp.ui.tests/META-INF/MANIFEST.MF
@@ -21,7 +21,7 @@ Require-Bundle: org.eclipse.ui,
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-ActivationPolicy: lazy
Bundle-Localization: plugin
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
- com.google.common.eventbus;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
+ com.google.common.eventbus;version="[27.0.0,28.0.0)"
Export-Package: org.eclipse.emf.compare.uml2.rcp.ui.tests.groups
diff --git a/plugins/org.eclipse.emf.compare.uml2.rcp.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.uml2.rcp.ui/META-INF/MANIFEST.MF
index fdecc0f77..b40c341fc 100644
--- a/plugins/org.eclipse.emf.compare.uml2.rcp.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.uml2.rcp.ui/META-INF/MANIFEST.MF
@@ -13,8 +13,8 @@ Require-Bundle: org.eclipse.emf.edit.ui;bundle-version="2.5.0",
org.eclipse.core.runtime;bundle-version="3.5.0",
org.eclipse.uml2.uml;bundle-version="5.0.0",
org.eclipse.emf.compare.edit;bundle-version="3.0.0"
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Bundle-ActivationPolicy: lazy
Bundle-Localization: plugin
Export-Package: org.eclipse.emf.compare.uml2.rcp.ui.internal.accessor;x-internal:=true,
diff --git a/plugins/org.eclipse.emf.compare.uml2.rcp/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.uml2.rcp/META-INF/MANIFEST.MF
index c1cc0755a..7f68010ee 100644
--- a/plugins/org.eclipse.emf.compare.uml2.rcp/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.uml2.rcp/META-INF/MANIFEST.MF
@@ -11,6 +11,6 @@ Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Vendor: %providerName
Bundle-Localization: plugin
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)"
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)"
Export-Package: org.eclipse.emf.compare.uml2.rcp.internal.policy;x-friends:="org.eclipse.emf.compare.uml2.ide"
diff --git a/plugins/org.eclipse.emf.compare.uml2.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.uml2.tests/META-INF/MANIFEST.MF
index 08f06dd41..7f82d4988 100644
--- a/plugins/org.eclipse.emf.compare.uml2.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.uml2.tests/META-INF/MANIFEST.MF
@@ -32,7 +32,7 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.compare.ide;bundle-version="3.3.0",
org.hamcrest.library;bundle-version="1.3.0"
Bundle-ActivationPolicy: lazy
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
org.eclipse.emf.compare.rcp
Bundle-Activator: org.eclipse.emf.compare.uml2.profile.test.uml2comparetestprofile.provider.UML2CompareTestProfileEditPlugin$Implementation
diff --git a/plugins/org.eclipse.emf.compare.uml2/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.uml2/META-INF/MANIFEST.MF
index da77a4bcb..fd031a843 100644
--- a/plugins/org.eclipse.emf.compare.uml2/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.uml2/META-INF/MANIFEST.MF
@@ -14,9 +14,9 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.compare;bundle-version="3.4.0";visibility:=reexport
Bundle-ActivationPolicy: lazy
Bundle-Activator: org.eclipse.emf.compare.uml2.internal.UMLComparePlugin
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
- com.google.common.primitives;version="[15.0.0,22.0.0)",
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
+ com.google.common.primitives;version="[27.0.0,28.0.0)",
org.apache.log4j;version="1.2.15"
Export-Package: org.eclipse.emf.compare.uml2.internal;
x-friends:="org.eclipse.emf.compare.uml2.edit,
diff --git a/plugins/org.eclipse.emf.compare/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare/META-INF/MANIFEST.MF
index 2f637220c..b83561f6b 100644
--- a/plugins/org.eclipse.emf.compare/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare/META-INF/MANIFEST.MF
@@ -40,8 +40,8 @@ Export-Package: org.eclipse.emf.compare,
Require-Bundle: org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;bundle-version="2.5.0"
Bundle-ActivationPolicy: lazy
-Import-Package: com.google.common.base;version="[15.0.0,22.0.0)",
- com.google.common.cache;version="[15.0.0,22.0.0)",
- com.google.common.collect;version="[15.0.0,22.0.0)",
- com.google.common.eventbus;version="[15.0.0,22.0.0)",
+Import-Package: com.google.common.base;version="[27.0.0,28.0.0)",
+ com.google.common.cache;version="[27.0.0,28.0.0)",
+ com.google.common.collect;version="[27.0.0,28.0.0)",
+ com.google.common.eventbus;version="[27.0.0,28.0.0)",
org.apache.log4j;version="[1.2.15,2.0.0)"

Back to the top